This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496310 - module-tunnel: dies when playing to remote PA; Assertion 'pa_frame_aligned(chunk->length, &o->source->sample_spec)' failed at pulsecore/source-output.c:429, function pa_source_output_push(). Aborting.
module-tunnel: dies when playing to remote PA; Assertion 'pa_frame_aligned(ch...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 14:30 EDT by Tomasz Torcz
Modified: 2009-08-02 15:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-30 20:14:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from dieing PA (92.12 KB, text/plain)
2009-04-17 14:30 EDT, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2009-04-17 14:30:30 EDT
Created attachment 340060 [details]
output from dieing PA

Description of problem:
PA playing to remote PA dies shortly after starting pavucontrol. Sometimes it's CPU time exceeded, sometimes assertion like in summary.
I tried generating annotated sources after oprofile, but it didn't work claiming that debuginfo is not installed (which is not true, pulseaudio-debuginfo is installed).

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-10.fc11.x86_64
pavucontrol-0.9.8-1.fc11.x86_64
kernel-2.6.29.1-70.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Have totem playing to remote PA.
2. Start pavucontrol

  
Actual results:
Sound stops, applications displays info about broken connection and PA daemon is dead.


Expected results:
Smooth playback

Additional info:

# opreport -l /usr/bin/pulseaudio                          
warning: [vdso] (tgid:25628 range:0x7fff63dff000-0x7fff63e00000) could not be found.
warning: [vdso] (tgid:25961 range:0x7fffcd7ff000-0x7fffcd800000) could not be found.
warning: [vdso] (tgid:26005 range:0x7fff031ff000-0x7fff03200000) could not be found.
CPU: Core 2, speed 800 MHz (estimated)
Counted CPU_CLK_UNHALTED events (Clock cycles when not halted) with a unit mask of 0x00 (Unhalted core cycles) count 100000
samples  %        image name               symbol name
126      85.1351  [vdso] (tgid:25961 range:0x7fffcd7ff000-0x7fffcd800000) [vdso] (tgid:25961 range:0x7fffcd7ff000-0x7fffcd800000)
11        7.4324  [vdso] (tgid:25628 range:0x7fff63dff000-0x7fff63e00000) [vdso] (tgid:25628 range:0x7fff63dff000-0x7fff63e00000)
11        7.4324  [vdso] (tgid:26005 range:0x7fff031ff000-0x7fff03200000) [vdso] (tgid:26005 range:0x7fff031ff000-0x7fff03200000)

------

(froContinuing.
N: alsa-sink.c: Increasing minimal latency to 26,00 ms
D: alsa-sink.c: Latency set to 26,00ms
D: alsa-sink.c: hwbuf_unused=348184
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Latency set to 26,00ms
D: alsa-sink.c: hwbuf_unused=348184
D: alsa-sink.c: setting avail_min=87752

Program received signal SIG61, Real-time event 61.
[Switching to Thread 0x7f45e3fff910 (LWP 26110)]
0x00000034d26d6f97 in ppoll (fds=0x20bac60, nfds=2, timeout=0x7f45e3ffee80, sigmask=0x20b9410)
    at ../sysdeps/unix/sysv/linux/ppoll.c:58
58				       _NSIG / 8);
(gdb) cont
Continuing.

Program received signal SIG62, Real-time event 62.
[Switching to Thread 0x7f45e9d1b910 (LWP 26108)]
0x00000034d26d6f97 in ppoll (fds=0x20a3f50, nfds=3, timeout=0x7f45e9d1ae50, sigmask=0x209cc00)
    at ../sysdeps/unix/sysv/linux/ppoll.c:58
58				       _NSIG / 8);
(gdb) cont
Continuing.
N: alsa-source.c: Increasing minimal latency to 16,00 ms
D: alsa-source.c: latency set to 20,00ms
D: alsa-source.c: hwbuf_unused=349240
D: alsa-source.c: setting avail_min=442
E: source-output.c: Assertion 'pa_frame_aligned(chunk->length, &o->source->sample_spec)' failed at pulsecore/source-output.c:429, function pa_source_output_push(). Aborting.
D: protocol-native.c: Underrun on 'Playback Stream', 0 bytes in queue.

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7f45cf5fe910 (LWP 26117)]
0x00000034d26334f5 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) cont
Continuing.
[Thread 0x7f45cf5fe910 (LWP 26117) exited]
[Thread 0x7f45cffff910 (LWP 26115) exited]
[Thread 0x7f45e3fff910 (LWP 26110) exited]
[Thread 0x7f45e9d1b910 (LWP 26108) exited]
[Thread 0x7f45f51f97e0 (LWP 26104) exited]
Cannot find user-level thread for LWP 26107: generic error
(gdb) bt thread all
Target is executing.
(gdb) cont
Continuing.
Couldn't get registers: Nie ma takiego procesu.
(gdb) bt thread all
Target is executing.
m gdb)
Comment 1 Bug Zapper 2009-06-09 10:01:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomasz Torcz 2009-06-14 07:07:46 EDT
Still happens with pulseaudio-0.9.15-11.fc11.x86_64 playing over network to pulseaudio-0.9.15-11.fc11.i586 (on fresh F11 install).
Comment 3 Lennart Poettering 2009-07-30 20:14:54 EDT
Fixed upstream now,, will soon enter rawhide.
Comment 4 Tomasz Torcz 2009-08-02 15:35:19 EDT
This bug is about F11, could you backport fix or is it too much work?
Anyway, thanks for fixing!

Note You need to log in before you can comment on or make changes to this bug.